Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class DynamicContainmentTreeDMRConverter

    java.lang.Object
      org.eclipse.emf.ecp.view.dynamictree.model.impl.DynamicContainmentTreeDMRConverter

All Implemented Interfaces:
  DomainModelReferenceConverter

    public class DynamicContainmentTreeDMRConverter

extends Object
implements DomainModelReferenceConverter

A `DomainModelReferenceConverter` that converts a `DynamicContainmentTreeDomainModelReference` to an `IListProperty` or an `IValueProperty`.

Author:
  Lucas Koehler

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.core.services.databinding.DomainModelReferenceConverter
`NOT_APPLICABLE`

Constructor Summary
`DynamicContainmentTreeDMRConverter()`

Method Summary
`org.eclipse.core.databinding.property.list.IListProperty` | `convertToListProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Converts a `VDomainModelReference` to an `IListProperty`.
`org.eclipse.core.databinding.property.value.IValueProperty` | `convertToValueProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Converts a `VDomainModelReference` to a `IValueProperty`.
`double` | `isApplicable(VDomainModelReference domainModelReference)` Checks whether the given `VDomainModelReference` can be converted by this `DomainModelReferenceConverter` to a `IValueProperty`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicContainmentTreeDMRConverter

    public DynamicContainmentTreeDMRConverter()

Method Detail

### isApplicable

    public double isApplicable(VDomainModelReference domainModelReference)

  Checks whether the given `VDomainModelReference` can be converted by this `DomainModelReferenceConverter` to a `IValueProperty`. The return value is the priority of this converter. The higher the priority, the better suits the converter the given `VDomainModelReference`.

  Specified by:
    `isApplicable` in interface `DomainModelReferenceConverter`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` whose priority is wanted.
  Returns:
    The priority of the given `VDomainModelReference`; negative infinity if this converter is not applicable.
  See Also:
    `DomainModelReferenceConverter.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)`

### convertToValueProperty

    public org.eclipse.core.databinding.property.value.IValueProperty convertToValueProperty(VDomainModelReference domainModelReference,
                                                                                             org.eclipse.emf.ecore.EObject object)
                                                                                      throws DatabindingFailedException

  Converts a `VDomainModelReference` to a `IValueProperty`.

  Specified by:
    `convertToValueProperty` in interface `DomainModelReferenceConverter`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` that will be converted to a `IValueProperty`
    `object` - The root object of the rendered form
  Returns:
    The created `IValueProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if no value property could be created due to an invalid `VDomainModelReference`.
  See Also:
    `DomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)`

### convertToListProperty

    public org.eclipse.core.databinding.property.list.IListProperty convertToListProperty(VDomainModelReference domainModelReference,
                                                                                          org.eclipse.emf.ecore.EObject object)
                                                                                   throws DatabindingFailedException

  Converts a `VDomainModelReference` to an `IListProperty`.

  Specified by:
    `convertToListProperty` in interface `DomainModelReferenceConverter`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` that will be converted to an `IListProperty`
    `object` - The root object of the rendered form
  Returns:
    The created `IListProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if no value property could be created due to an invalid `VDomainModelReference`.
  See Also:
    `DomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.